Which flashcart for New 3DS XL 9.5?

Discussion in '3DS - Flashcards & Custom Firmwares' started by memegod, Jun 30, 2015.

  1. memegod
    OP

    memegod Newbie

    Newcomer
    4
    0
    Jun 30, 2015
    Canada
    Hey, i just got a New 3DSi XL with a FW version of 9.5, which flashcart could I use? I know I can use Sky3DS but I heard it can only run 3DS games, but I'd like to play .nds games aswell

    Thanks!
     
  2. Lucifer666

    Lucifer666 all the world needs is me

    Member
    1,485
    697
    Apr 22, 2011
    The Fourth Dimension
    Sky and its clones are your only option for 3DS games at the moment, since Gateway and all exploit-based hacks have been patched in 9.3+.

    Get a standalone flashcart for DS games such as the R4i Gold or Supercard DS Two.
     
  3. memegod
    OP

    memegod Newbie

    Newcomer
    4
    0
    Jun 30, 2015
    Canada
    thanks for the reply, so which card would you recommend me for playing .nds games then?

    Thanks
     
  4. forcefield

    forcefield Advanced Member

    Newcomer
    55
    16
    May 6, 2015
    France
    sysnand
    Before buying anything, you should check first what flashcart is banned and what isn't since you are on a 9.5 firmware meaning you can't downgrade Nintendo's whitelist.
     
  5. Raiquazzza

    Raiquazzza Advanced Member

    Newcomer
    52
    5
    Jan 13, 2009
    Vilnius
    Oh, so supercard DSTWO will still be working, right?=3
     
  6. Spzjulien

    Spzjulien GBAtemp Regular

    Member
    296
    66
    Sep 8, 2012
    France
    my supercard DSTWO work on mt N3ds XL 9.8 :P
     
  7. memegod
    OP

    memegod Newbie

    Newcomer
    4
    0
    Jun 30, 2015
    Canada
    So I can only play .nds games with it, right? There's no way to play 3ds games like Super Smash, Mario Kart, ect. with the supercard DSTWO?
     
    Last edited by memegod, Jun 30, 2015
  8. usernametaken

    usernametaken GBAtemp Maniac

    Member
    1,249
    345
    May 13, 2015
    United States
    Correct, Supercard DSTWO is only for Nds games and emulation of some older consoles.

    Being above 9.2, your only option for playing .3ds games is the Sky3ds.
     
  9. Quantumcat

    Quantumcat Dead and alive

    Member
    10,392
    5,484
    Nov 23, 2014
    Australia
    Canberra, Australia
    DSTwo is the best possible nds flashcart. It can play GBA games as well as the usual GB, GBC, SNES, etc because of its internal processor. It is expensive but worth it as it is still supported (meaning it should continue to work even when the 3DS is updated).